Probleme beim Update

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
sani007
Mitglied
Beiträge: 12
Registriert: 04.12.2015 18:48

Probleme beim Update

Beitragvon sani007 » 19.10.2017 14:07

hallo

Da das Forum tot ist und wir uns nicht wirklich darum gekümmert haben sind wir drauf gekommen das es nicht mehr geht.

Und haben uns gedacht dann machen wir ein Update.....
https://www.phpbb.de/kb/update31x#manuell

beim schritt: 7.Ausführen: /install/database_update.php

jetzt bekommen wir folgende Fehlermeldung:

Fatal error: Uncaught RuntimeException: You have specified an invalid dbms driver: in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php:158 Stack trace: #0 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(538): phpbb\config_php_file->convert_30_dbms_to_31(NULL) #1 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(205): phpbb\di\container_builder->inject_dbal_driver() #2 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(412): phpbb\di\container_builder->get_container() #3 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(158): phpbb\di\container_builder->load_extensions() #4 /www/htdocs/w0087d21/Laende156/forum/common.php(115): phpbb\di\container_builder->get_container() #5 /www/htdocs/w0087d21/Laende156/forum/app.php(23): include('/www/htdocs/w00...') #6 {main} thrown in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php on line 158

bitte um mithilfe..
dankeeeee

Lehrling
Supporter
Supporter
Beiträge: 2892
Registriert: 15.01.2012 20:00
Kontaktdaten:

Re: Probleme beim Update

Beitragvon Lehrling » 19.10.2017 14:42

Von welcher Version aus seid ihr gestartet?

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 10940
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Probleme beim Update

Beitragvon Mahony » 19.10.2017 14:46

Hallo
Das Problem liegt wohl hier
You have specified an invalid dbms driver: in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php

Schau mal, was in der Datei config.php beim Eintrag $dbms = steht.

Wenn bei dir PHP7 im Einsatz ist, muss dort nämlich $dbms = 'mysqli'; stehen (und NICHT mysql - weil ab PHP7 der Datenbanktreiber für mysql entfernt wurde.)

Grüße: Mahony
Zuletzt geändert von Mahony am 19.10.2017 14:50, insgesamt 1-mal geändert.
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

sani007
Mitglied
Beiträge: 12
Registriert: 04.12.2015 18:48

Re: Probleme beim Update

Beitragvon sani007 » 19.10.2017 14:47

können wir nicht wirklich sagen.... 3.1.2 oder so

das haben wir auch schon geändert

<?php
// phpBB 3.0.x auto-generated configuration file
// Do not change anything in this file!$dbms = 'phpbb\db\driver\mysqli';;
$dbhost = '';
$dbport = '';
$dbname = '*+++++++++;
$dbuser = '++++++++++e';
$dbpasswd = '++++++++++';
$table_prefix = 'phpbb_';
$acm_type = 'file';
$load_extensions = '';

@define('PHPBB_INSTALLED', true);
// @define('DEBUG', true);
// @define('DEBUG_EXTRA', true);
?>
Zuletzt geändert von sani007 am 19.10.2017 15:03, insgesamt 1-mal geändert.

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 10940
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Probleme beim Update

Beitragvon Mahony » 19.10.2017 14:55

Hallo
Lösche mal bitte so schnell wie möglich die Datenbank-Zugangsdaten aus deinem Beitrag! Das ist ein Sicherheitsrisiko!

P.S. Ich sehe da keinen Eintrag

Code: Alles auswählen

$dbms = 'mysqli';


Füge den mal in die Datei mit ein und teste dann erneut.

Das ganze sollte dann so aussehen

Code: Alles auswählen

<?php
// phpBB 3.0.x auto-generated configuration file
// Do not change anything in this file!$dbms = 'phpbb\db\driver\mysqli';;
$dbms = 'mysqli';
$dbhost = 'localhost';
$dbport = '';
$dbname = 'dein_datenbankname';
$dbuser = 'dein_datenbankbenutzername';
$dbpasswd = 'dein_datenbank_passwort';
$table_prefix = 'phpbb_';
$acm_type = 'file';
$load_extensions = '';

@define('PHPBB_INSTALLED', true);
// @define('DEBUG', true);
// @define('DEBUG_EXTRA', true);
?>


Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

sani007
Mitglied
Beiträge: 12
Registriert: 04.12.2015 18:48

Re: Probleme beim Update

Beitragvon sani007 » 19.10.2017 15:14

danke hab ich geändert und das Passwort gleich gewechselt.....

Aber leider


Fatal error: Uncaught RuntimeException: You have specified an invalid dbms driver: in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php:158 Stack trace: #0 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(538): phpbb\config_php_file->convert_30_dbms_to_31(NULL) #1 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(205): phpbb\di\container_builder->inject_dbal_driver() #2 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(412): phpbb\di\container_builder->get_container() #3 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(158): phpbb\di\container_builder->load_extensions() #4 /www/htdocs/w0087d21/Laende156/forum/common.php(115): phpbb\di\container_builder->get_container() #5 /www/htdocs/w0087d21/Laende156/forum/app.php(23): include('/www/htdocs/w00...') #6 {main} thrown in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php on line 158

noch immer diese Meldung

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 10940
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Probleme beim Update

Beitragvon Mahony » 19.10.2017 15:20

Hallo
Hast du auch den cache geleert, nach der Änderung (per FTP-Programm ALLES außer der .htaccess und der index.htm aus dem Verzeichnis cache löschen)?

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

sani007
Mitglied
Beiträge: 12
Registriert: 04.12.2015 18:48

Re: Probleme beim Update

Beitragvon sani007 » 19.10.2017 15:25

Ja hab ich geleert hab jetzt das stehen


Fatal error: Uncaught RuntimeException: You have specified an invalid dbms driver: in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php:158 Stack trace: #0 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(538): phpbb\config_php_file->convert_30_dbms_to_31(NULL) #1 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(205): phpbb\di\container_builder->inject_dbal_driver() #2 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(412): phpbb\di\container_builder->get_container() #3 /www/htdocs/w0087d21/Laende156/forum/phpbb/di/container_builder.php(158): phpbb\di\container_builder->load_extensions() #4 /www/htdocs/w0087d21/Laende156/forum/common.php(115): phpbb\di\container_builder->get_container() #5 /www/htdocs/w0087d21/Laende156/forum/app.php(23): include('/www/htdocs/w00...') #6 {main} thrown in /www/htdocs/w0087d21/Laende156/forum/phpbb/config_php_file.php on line 158

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 2073
Registriert: 15.10.2012 03:27

Re: Probleme beim Update

Beitragvon Melmac » 19.10.2017 15:26

Nur mal eine Frage noch:
Du schreibst, ihr hättest wahrscheinlich ein "3.1.2 oder so" im Einsatz ...
Auf welche Version wollt ihr denn gerade updaten?
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

sani007
Mitglied
Beiträge: 12
Registriert: 04.12.2015 18:48

Re: Probleme beim Update

Beitragvon sani007 » 19.10.2017 15:27

auf 3.2.1 aber mit dem komplette paket


Zurück zu „Support-Forum“